Bug 8059 - [UPDATE REQUEST 2016.1] kernel 4.9.41
: [UPDATE REQUEST 2016.1] kernel 4.9.41
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
https://advisories.mageia.org/MGASA-2...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 22:39 MSD by Eugene Shatokhin
Modified: 2017-08-28 18:36 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2017-06-15 22:39:25 MSD
Upstream update with lots of fixes.
Comment 1 Eugene Shatokhin 2017-06-15 22:41:08 MSD
Advisory:
The kernel was updated to version 4.9.32 with lots of fixes all-around.


Build lists:
https://abf.io/build_lists/2878873
https://abf.io/build_lists/2878874
Comment 2 Vladimir Potapov 2017-06-16 12:57:42 MSD
The update is sent to expanded testing
*************************************
Comment 3 Eugene Shatokhin 2017-06-26 16:56:02 MSD
Version 4.9.34 has fixes for a few more important issues.
Comment 4 Eugene Shatokhin 2017-06-26 16:56:22 MSD
Advisory:
The kernel was updated to version 4.9.34 with lots of fixes all-around.


Build lists:
https://abf.io/build_lists/2880089
https://abf.io/build_lists/2880090
Comment 5 Vladimir Potapov 2017-06-26 21:25:32 MSD
The update is sent to expanded testing
****************************************
Comment 6 Eugene Shatokhin 2017-07-11 16:46:07 MSD
As it turned out, the fix for CVE-2017-1000364 still causes crashes of LibreOffice on 32-bit systems. I have reverted that change on i586 to avoid the regression, x86_64 remains unchanged.

Kernel 4.9.34-2, build list for i586:
https://abf.io/build_lists/2882275
Comment 7 Eugene Shatokhin 2017-08-06 12:34:50 MSD
I am going to build a newer version anyway.
Comment 8 Zombie Ryushu 2017-08-09 11:32:56 MSD
Linux kernel built with the VirtIO GPU driver(CONFIG_DRM_VIRTIO_GPU) support
is vulnerable to a memory leakage issue. It could occur while creating a
virtio gpu object in virtio_gpu_object_create(). A user/process could use
this flaw to leak host kernel memory potentially resulting in Dos
(CVE-2017-10810).

It also contains followup fixes to the Stack Clash (CVE-2017-1000370,
CVE-2017-1000371) security issues resolved in kernels released at end
of June, 2017.
Comment 9 Eugene Shatokhin 2017-08-09 16:20:39 MSD
Advisory:
The kernel was updated to version 4.9.41 with lots of fixes all-around. In addition, fixes for the following problems were added: https://bugzilla.kernel.org/show_bug.cgi?id=189291, http://forum.rosalab.ru/viewtopic.php?f=56&t=8352.


Build lists:
https://abf.io/build_lists/2885678
https://abf.io/build_lists/2885679
Comment 10 Vladimir Potapov 2017-08-17 18:38:31 MSD
The update is sent to expanded testing
**************************************
Comment 11 Vladimir Potapov 2017-08-28 17:58:29 MSD
kernel-4.9.41-1
https://abf.io/build_lists/2885678
https://abf.io/build_lists/2885679
****************************** Advisory *******************************
The kernel was updated to version 4.9.34 with lots of fixes all-around.
***********************************************************************
QA Verified